#   package information
Name:         mtasc
Summary:      Motion-Twin ActionScript Compiler
URL:          http://mtasc.org/
Vendor:       Nicolas Cannasse, Motion Twin
Group:        Development/Tools
License:      GPL/BSD
Version: 	  1.14
Release:	  1%{?dist}

#   list of sources
Source0:      mtasc_1.14.tar.gz
Source1:      mtasc.sh
Patch0:       mtasc_01_exe_in_usage.patch
Patch1:       mtasc_02_makefile_kludges.patch
Patch2:       mtasc_03_include_dirs.patch
Patch3:       mtasc_04_fix_mtasc_for_camlp4_3.11.0.patch
Patch4:       mtasc_05_extc-fixes.patch
Patch5:       mtasc_06_extlib.patch


#   build information
BuildRequires:  ocaml
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-findlib
BuildRequires:  zlib-devel

%description
    MTASC is a free ActionScript 2 compiler and the predecessor to
    haXe. It can compile large number of ActionScript .as class files
    in a very short time and generate directly the corresponding .swf
    bytecode files without relying on Macromedia Flash or other tools.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

cp %{_sourcedir}/mtasc.sh %{_builddir}/%{name}-%{version}
chmod +x mtasc.sh

%build
./mtasc.sh

%install
make -f ocaml/mtasc/doc/Makefile install PREFIX=/usr DESTDIR=%{buildroot}

%files
%{_bindir}/mtasc
%{_datarootdir}/mtasc

%clean
rm -rf %{_builddir}
rm -rf %{buildroot}

%changelog
* Sat Mar 01 2014 Mikhail Paulyshka <me@mixaill.tk> - 1.14-1
- Initial release

